SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE




YUM REPOSITORY

 
 

libg-wrap-devel rpm build for : Mandriva 2011. For other distributions click libg-wrap-devel.

Name : libg-wrap-devel
Version : 1.9.11 Vendor : Mandriva
Release : 2mdv2009.0 Date : 2008-09-07 23:27:41
Group : Development/C Source RPM : g-wrap-1.9.11-2mdv2009.0.src.rpm
Size : 0.05 MB
Packager : Frederik Himpe < fhimpe_mandriva_org>
Summary : Include files and libraries needed for g-wrap development
Description :
g-wrap is a tool for creating Scheme interfaces to C libraries. At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

You can provide access to a given C API by creating a specification
file describing the interface you want published at the Scheme level.
g-wrap will handle generating all the lower level library interface
code so that the C library shows up as a set of Scheme functions.

You should install this package if you need to compile programs that
need to use g-wrap C< ->Scheme functionality

RPM found in directory: /mirror/carroll.cac.psu.edu/pub/linux/distributions/mandrakelinux/official/2011/i586/media/contrib/release

Content of RPM  Changelog  Provides Requires

Download
ftp.gwdg.de  libg-wrap-devel-1.9.11-2mdv2009.0.i586.rpm
ftp.gwdg.de  libg-wrap-devel-1.9.11-2mdv2009.0.i586.rpm
bo.mirror.garr.it  libg-wrap-devel-1.9.11-2mdv2009.0.i586.rpm
ftp.icm.edu.pl  libg-wrap-devel-1.9.11-2mdv2009.0.i586.rpm
ftp.pbone.net  libg-wrap-devel-1.9.11-2mdv2009.0.i586.rpm
     Search for other platforms
libg-wrap-devel-1.9.11-2mdv2009.0.sparc.rpm
libg-wrap-devel-1.9.11-2mdv2009.0.alpha.rpm
libg-wrap-devel-1.9.11-2mdv2009.0.ppc.rpm
libg-wrap-devel-1.9.11-2mdv2009.0.ia64.rpm
libg-wrap-devel-1.9.11-2mdv2009.0.s390.rpm

Provides :
g-wrap-devel
libg-wrap-devel
pkgconfig(g-wrap-2.0-guile)
devel(libgwrap-core-runtime)
devel(libgwrap-guile-runtime)
libg-wrap-devel

Requires :
devel(libgwrap-core-runtime)
rpmlib(CompressedFileNames) <= 3.0.4-1
multiarch-utils
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsLzma) <= 4.4.6-1
pkgconfig
/bin/sh
bash
g-wrap = 1:1.9.11-2mdv2009.0
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
devel(libffi)
devel(libguile)
libg-wrap2 = 1:1.9.11-2mdv2009.0


Content of RPM :
/usr/bin/g-wrap-config
/usr/include/g-wrap
/usr/include/g-wrap-wct.h
/usr/include/g-wrap/core-runtime.h
/usr/include/g-wrap/ffi-support.h
/usr/include/g-wrap/guile-compatibility.h
/usr/include/g-wrap/guile-runtime.h
/usr/include/g-wrap/guile-wct.h
/usr/include/multiarch-i386-linux/g-wrap/ffi-support.h
/usr/lib/g-wrap/modules/libgw-guile-gw-glib.la
/usr/lib/g-wrap/modules/libgw-guile-gw-glib.so
/usr/lib/g-wrap/modules/libgw-guile-standard.la
/usr/lib/g-wrap/modules/libgw-guile-standard.so
/usr/lib/libgwrap-core-runtime.la
/usr/lib/libgwrap-core-runtime.so
/usr/lib/libgwrap-guile-runtime.la
/usr/lib/libgwrap-guile-runtime.so
/usr/lib/pkgconfig/g-wrap-2.0-guile.pc
/usr/share/aclocal/g-wrap.m4
/usr/share/info/g-wrap.info.lzma